import { defineStore, mapStores } from 'pinia';

export const useLayoutStore = defineStore('layout', {
    state: () => ({
        minDesktopWidth: 992,
        isDesktop: Boolean,
        isEtapeListRetracted: Boolean,
    }),
    actions: {
        setupResizeListenner () {
            this.isDesktop = window.innerWidth >= this.minDesktopWidth ? true : false;
            window.addEventListener('resize', () => {
                this.isDesktop = window.innerWidth >= this.minDesktopWidth ? true : false;
            })
            this.isEtapeListRetracted = this.isDesktop ? false : true;
        },
        collapseEtapeListe(listeEtape) {
            listeEtape.classList.add('retracted');
            setTimeout(() => {
                listeEtape.closest('.layout__region').classList.add('retracted');
                listeEtape.nextElementSibling.classList.add('retracted');
                listeEtape.classList.add('disapeared');
            }, 300);
            this.isEtapeListRetracted = true;
        },
        expandEtapeListe(listeEtape) {
            listeEtape.closest('.layout__region').classList.remove('retracted');
            listeEtape.nextElementSibling.classList.remove('retracted');
            listeEtape.classList.remove('disapeared');
            setTimeout(() => {
                listeEtape.classList.remove('retracted');
            }, 300);
            this.isEtapeListRetracted = false;
        },
    },
})