import { createApp } from 'vue';
import { createPinia } from 'pinia';
import router from '../router/router';
import Modale from '../vuejs/Modale.vue';
import VueImageZoomer from 'vue-image-zoomer';
import 'vue-image-zoomer/dist/style.css';

import { useContentStore } from '../stores/content';
import { useMapStore } from '../stores/map';

export function initVueContentModale() {
    const app = createApp(Modale)
        .use(createPinia())
        .use(router)
        .use(VueImageZoomer);

    const store = useContentStore();
    const mapStore = useMapStore();
    app.mount('#content-modale');    

  return { store, mapStore, router };
}